Whitelist the WABA ID

Use this API to whitelist the Waba ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
<PartnerPortalWarning />

<br />

## Request Parameters

| Key           | Value                 | Description                                | Data Types | Require/Optional | Constraints                                                                                        |
| :------------ | :-------------------- | :----------------------------------------- | :--------- | :--------------- | :------------------------------------------------------------------------------------------------- |
| Authorization | `{PARTNER_APP_TOKEN}` | Access Token for the application           | String     | Required         | - Should be a valid Partner App Access Token                                                       |
| appId         | `{APP_ID}`            | Id of the app for which callback to be set | String     | Required         | - The ID should be a valid appId of Gupshup.  - It should belong to the same account as the apikey |

## Sample Request

```curl
curl --location --request POST 'https://partner.gupshup.io/partner/app/{APP_ID}/obotoembed/whitelist' \
--header 'Authorization: {PARTNER_APP_TOKEN}'

Sample Response

 {
    "embedSignupUrl": "https://gs.tc.im/kZviNa8Zlx9",
    "id": "1016427996774921",
    "status": "success"
}

Status Codes

Status CodeResponseComments
Success
200{ "embedSignupUrl": "https://gs.tc.im/kZviNa8Zlx9", "id": "1016427996774921", "status": "success" }
Error
400{ "message": "Error while whitelisting WABA.", "status": "error" }
429{ "status": "error", "message": "Too Many Requests" }10 Requests per Minute
500{ "status": "error", "message": "Internal Server Error" }For any Internal Error
Path Params
string
required
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json